'use strict';
Object.defineProperty(exports, '__esModule', {value: true});
exports.DEFAULT_CURSOR_SYMBOL = exports.DEFAULT_BLINKING_SPEED = void 0;
const react_1 = require('react');
const useTimer_1 = require('./useTimer');
exports.DEFAULT_BLINKING_SPEED = 500;
exports.DEFAULT_CURSOR_SYMBOL = '|';
const Cursor = ({
  cursorSymbol = exports.DEFAULT_CURSOR_SYMBOL,
  delay = exports.DEFAULT_BLINKING_SPEED,
}) => {
  const [visibleFlag, setFlag] = react_1.useState(true);
  const [start, stop] = useTimer_1.useInterval(
    () => setFlag((flag) => !flag),
    delay,
    [],
  );
  react_1.useEffect(() => {
    start();
    return stop;
  }, [start, stop]);
  // @ts-ignore
  return visibleFlag ? cursorSymbol : '';
};
exports.default = Cursor;
