'use strict';
Object.defineProperty(exports, '__esModule', {value: true});
exports.DEFAULT_BLINKING_SPEED = void 0;
const react_1 = require('react');
const useTimer_1 = require('./useTimer');
exports.DEFAULT_BLINKING_SPEED = 500;
const MaskSymbol = ({
  isLastFilledCell,
  children: symbol,
  maskSymbol,
  delay = exports.DEFAULT_BLINKING_SPEED,
}) => {
  const [visibleFlag, setFlag] = react_1.useState(true);
  const [start, stop] = useTimer_1.useTimeout(() => setFlag(false), delay, []);
  react_1.useEffect(() => {
    if (isLastFilledCell) {
      setFlag(false);
    }
  }, [isLastFilledCell]);
  react_1.useEffect(() => {
    start();
    return stop;
  }, [start, stop]);
  // @ts-ignore
  return visibleFlag ? symbol : maskSymbol;
};
exports.default = MaskSymbol;
