'use strict';
Object.defineProperty(exports, '__esModule', {value: true});
const tslib_1 = require('tslib');
const react_1 = require('react');
const useEvent_1 = tslib_1.__importDefault(require('./useEvent'));
const useFocusState = ({onBlur, onFocus}) => {
  const [isFocused, setFocusFlag] = react_1.useState(false);
  return [
    isFocused,
    useEvent_1.default(onBlur, () => setFocusFlag(false)),
    useEvent_1.default(onFocus, () => setFocusFlag(true)),
  ];
};
exports.default = useFocusState;
