'use strict';
Object.defineProperty(exports, '__esModule', {value: true});
exports.useTimeout = exports.useInterval = void 0;
const react_1 = require('react');
const creteUseTimer = ({clear, runTimer}) => (callback, delay, deps) => {
  const timerRef = react_1.useRef();
  const stop = react_1.useCallback(
    () =>
      clear(
        // @ts-ignore
        timerRef.current,
      ),
    [],
  );
  const start = react_1.useCallback(
    (...args) => {
      stop();
      timerRef.current = runTimer(callback, delay, ...args);
    },
    // eslint-disable-next-line
    [delay, ...deps],
  );
  return [start, stop];
};
exports.useInterval = creteUseTimer({
  clear: clearInterval,
  runTimer: setInterval,
});
exports.useTimeout = creteUseTimer({
  clear: clearTimeout,
  runTimer: setTimeout,
});
